/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.User;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface UserEjbHome {
    
     public List<User> findAll();
    public User findByID(int id);
    public User createNew();
    public User save(User obj);
    public User findByKode(String kode);
    public User update(User obj);
     public void deleteId(int id);
    public void delete(String kode);
    
}
